> # NAME

> cgGLGetParameterArray3f - get the values from an array parameter

> # SYNOPSIS

>       #include <Cg/cgGL.h>

>       void cgGLGetParameterArray3f( CGparameter param,
>                                     long offset,
>                                     long nelements,
>                                     const float * v );

> # PARAMETERS

> param

>   The array parameter from which the values will be retrieved.

> offset

>   An offset into the array parameter at which to start getting elements. A value of 0 will begin at the first element of the array.

> nelements

>   The number of elements to get. A value of 0 will default to the total number of elements in the array minus the value of offset.

> v

>   Destination buffer into which the values will be written. The size of v must be 3 * nelements.

> # RETURN VALUES

> None.

> # DESCRIPTION

> cgGLGetParameterArray3f retrieves the values from a scalar or vector array parameter.

> The function retrieves 3 values per array element.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_ARRAY_PARAM_ERROR is generated if param is not an array parameter.

> CG_OUT_OF_ARRAY_BOUNDS_ERROR is generated if offset or nelements is outside the bounds of param.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> # HISTORY

> cgGLGetParameterArray3f was introduced in Cg 1.1.

> # SEE ALSO

> cgGLGetParameter, cgGLSetParameter, cgGLSetParameterArray